Bug 1470960 - when docking: [drm:intel_wait_ddi_buf_idle [i915]] *ERROR* Timeout waiting for DDI BUF C idle bit
when docking: [drm:intel_wait_ddi_buf_idle [i915]] *ERROR* Timeout waiting fo...
Status: NEW
Product: Fedora
Classification: Fedora
Component: xorg-x11-server (Show other bugs)
26
Unspecified Unspecified
unspecified Severity medium
: ---
: ---
Assigned To: X/OpenGL Maintenance List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-07-14 03:00 EDT by Jan Hutař
Modified: 2018-05-16 22:21 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
`journalctl -f` during dock & freeze & resume (35.20 KB, text/plain)
2017-07-14 03:05 EDT, Jan Hutař
no flags Details
journalctl during suspend/resume (186.87 KB, text/plain)
2018-05-08 03:09 EDT, Konrad Paumann
no flags Details

  None (edit)
Description Jan Hutař 2017-07-14 03:00:59 EDT
Description of problem:
When I attempted to dock mine laptop I have resumed from sleep a while ago, I got mentioned error in the journal and despite mouse was moving, I could not click and keybord was stuck as well. It "fixed" after few seconds when I disconnected laptop from the docking station.


Version-Release number of selected component (if applicable):
xorg-x11-server-Xorg-1.19.3-4.fc26.x86_64
kernel-4.11.9-300.fc26.x86_64
xfce4-session-4.12.1-10.fc26.x86_64

# lspci -k | grep -A 2 VGA 
00:02.0 VGA compatible controller: Intel Corporation 4th Gen Core Processor Integrated Graphics Controller (rev 06)
	Subsystem: Lenovo Device 2210
	Kernel driver in use: i915


How reproducible:
rarely


Steps to Reproduce:
Very unclear, but I believe this could be it:
1. Dock & undock
2. Suspend & resume
3. Dock


Actual results:
Freeze until I undock, only mouse is moving


Expected results:
Should work
Comment 1 Jan Hutař 2017-07-14 03:05 EDT
Created attachment 1298137 [details]
`journalctl -f` during dock & freeze & resume
Comment 2 Konrad Paumann 2017-09-18 02:40:51 EDT
I am experiencing it too on Fedora 26 on a Lenovo Thinkpad T470p.

kernel-4.12.12-300.fc26
xorg-x11-server-1.19.3-4.fc26

# lspci -k | grep -A 2 VGA
00:02.0 VGA compatible controller: Intel Corporation Device 591b (rev 04)
        Subsystem: Lenovo Device 505e
        Kernel driver in use: i915
Comment 3 Fedora End Of Life 2018-05-03 04:41:07 EDT
This message is a reminder that Fedora 26 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 26. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '26'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 26 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.
Comment 4 Konrad Paumann 2018-05-08 02:57:03 EDT
I did experience it again with Fedora 28:

# uname -a
Linux rise.kp 4.16.6-302.fc28.x86_64 #1 SMP Wed May 2 00:07:06 UTC 2018 x86_64 x86_64 x86_64 GNU/Linux

# lspci -k | grep -A 2 VGA
00:02.0 VGA compatible controller: Intel Corporation Device 591b (rev 04)
        Subsystem: Lenovo Device 505e
        Kernel driver in use: i915
Comment 5 Konrad Paumann 2018-05-08 03:09 EDT
Created attachment 1433024 [details]
journalctl during suspend/resume
Comment 6 Konrad Paumann 2018-05-08 03:13:06 EDT
As a side note: this bug seemed fixed for a few months and is happening again since a couple of days

Note You need to log in before you can comment on or make changes to this bug.